Geohot Planning to Release Tool to Jailbreak Any iPhone and iPod Touch Running Any Version of iPhone OS?

Jailbreak iPhone 3GS using purplera1n

George Hotz (aka Geohot) who was the first to release a software called Purplera1n to jailbreak iPhone 3GS is at it again.

He has dropped a hint that he plans to release a tool that will allow users to jailbreak any iPhone and iPod Touch running any version of iPhone OS.

The brilliant iPhone Dev Team have already released PwnageTool 3.1.3  to jailbreak iPhone OS 3.1 and preserve the baseband so that users can unlock their iPhone, however it has some limitations:

  • Its only available for Mac users.

  • It allows iPhone 3GS users to upgrade to iPhone OS 3.1 only if they have jailbroken/pwned their iPhones.

So Geohot’s announcement should come as welcome news for iPhone users who had been left out due to these limitations as it looks like his tool will allow users to jailbreak any iPhone (iPhone 2G, iPhone 3G and iPhone 3GS) or iPod Touch (iPod Touch 1g, iPod Touch 2G and iPod Touch 3G) and running any iPhone OS.

Geohot starts off by making the following announcement on his blog with an image of what appears to all the devices running iPhone OS:

“And prepare to meet the program that will jailbreak them all”

He has then provided some more details in the comments:

“no affiliation to greenpois0n. and it's in some ways the complete opposite of purplera1n. but still 10 seconds. and may work for every version of software *ever*, based on the prettiness of the exploit”


Geohot - meet the family

There are still some questions unanswered about the tool such as:

  • Will it be available for Windows and Mac users?

  • Will it allow users to preserve the baseband so users can unlock their iPhone?

Geohot had released Purplera1n for both Windows and Mac users so it is quite likely that he will release a tool for iPhone OS 3.1 or earlier versions of iPhone OS for both Windows and Mac users. He has tweeted that the tool could be released in two days.

Update:

Geohot is calling his new jailbreaking tool blackra1n. He has tweeted that iPhone OS 3.1.2 that was released by Apple today is still vulnerable and he was able to jailbreak his iPhone 3GS running iPhone OS 3.1.2.  

"phew, dodged a bullet with 3.1.2…still vulnerable and blackra1n worked perfectly on my 3gs"

It looks like blackra1n won't preserve the baseband, so if you use it, you won't be able to unlock your iPhone.

We’ll let you know as soon as we have more details on this developing story so stay tuned here at iPhone Hacks.

[via Geohot’s blog]

Follow us on Twitter